Bug 566878 - Review Request: python-jswebkit - A JS way to gtkwebkit core
Review Request: python-jswebkit - A JS way to gtkwebkit core
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2010-02-20 01:36 EST by kushaldas@gmail.com
Modified: 2011-01-11 23:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-11 23:04:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description kushaldas@gmail.com 2010-02-20 01:36:49 EST
Spec URL: http://kushaldas.in/tmp/python-jswebkit.spec
SRPM URL: http://kushaldas.in/tmp/python-jswebkit-0.0.1-1.fc12.src.rpm
Description: A python way to do JS in webkitgtk
Comment 1 kushaldas@gmail.com 2010-02-20 01:38:58 EST
Scratch build http://koji.fedoraproject.org/koji/taskinfo?taskID=2001067
rpmlint gives no error.
Comment 2 kushaldas@gmail.com 2010-02-20 06:03:49 EST
Spec URL: http://kushaldas.in/tmp/python-jswebkit.spec
SRPM URL: http://kushaldas.in/tmp/python-jswebkit-0.0.1-2.fc12.src.rpm

Updated spec and srpm
Comment 3 Ankur Sinha (FranciscoD) 2010-02-22 07:51:51 EST
REVIEW:

MUST: rpmlint must be run on every package. The output should be posted in the review. 

[Package@localhost SPECS]$ rpmlint python-jswebkit.spec ../SRPMS/python-jswebkit-0.0.1-2.fc12.src.rpm 
python-jswebkit.spec: W: invalid-url Source0: http://gwrite.googlecode.com/files/python-jswebkit-0.0.1.tar.gz HTTP Error 404: Not Found
python-jswebkit.src: W: spelling-error Summary(en_US) gtkwebkit 
python-jswebkit.src: W: spelling-error %description -l en_US webkitgtk -> website
python-jswebkit.src: W: invalid-url Source0: http://gwrite.googlecode.com/files/python-jswebkit-0.0.1.tar.gz HTTP Error 404: Not Found
1 packages and 1 specfiles checked; 0 errors, 4 warnings.


ignoring the spelling errors. the URL failure looks like a bug in rpmlint, since the file downloads correctly using wget

OK


MUST: The package must be named according to the Package Naming Guidelines .

OK


MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. 

OK

MUST: The package must meet the Packaging Guidelines

OK

MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines 



MUST: The License field in the package spec file must match the actual license. 

-- This and above : The source tar has a COPYING file containing the GPLv3 in it. Please clarify the license?

MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.


If the license is not Beerware and is GPLv3 as in COPYING, it must be included in %doc

MUST: The spec file must be written in American English. OK

MUST: The spec file for the package MUST be legible. OK

MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

OK

MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 

http://koji.fedoraproject.org/koji/taskinfo?taskID=2004699

MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 

OK : no cases

MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 

OK


MUST: Packages must NOT bundle copies of system libraries. OK

MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 

OK

MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. 


MUST: A Fedora package must not list a file more than once in the spec file's %files listings. 

OK

MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.

OK

MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 

OK

MUST: Each package must consistently use macros. OK

MUST: The package must contain code, or permissable content. 

OK

MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). OK

MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. OK

MUST: Header files must be in a -devel package. NA

MUST: Static libraries must be in a -static package. NA

MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). NA

MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
NA

MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} NA

MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built. NA

MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. NA

MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. NA

MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). OK

MUST: All filenames in rpm packages must be valid UTF-8. OK

SHOULD Items:
SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. 

LICENSE needs clarification

SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. NA 

SHOULD: The reviewer should test that the package builds in mock. OK

SHOULD: The package should compile and build into binary rpms on all supported architectures. OK

SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.

NA

SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity. NA

SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency. NA

SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. NA

SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself. NA

SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense. NA
Comment 4 Ankur Sinha (FranciscoD) 2010-04-07 10:14:51 EDT
> 
> MUST: The package must be licensed with a Fedora approved license and meet the
> Licensing Guidelines 
> 
> 
> 
> MUST: The License field in the package spec file must match the actual license. 
> 
> -- This and above : The source tar has a COPYING file containing the GPLv3 in
> it. Please clarify the license?
> 
> MUST: If (and only if) the source package includes the text of the license(s)
> in its own file, then that file, containing the text of the license(s) for the
> package must be included in %doc.
> 
> 
> If the license is not Beerware and is GPLv3 as in COPYING, it must be included
> in %doc
> 

hi,

Requesting fedora-legal to look at this once please?

regards,
Ankur
Comment 5 Ankur Sinha (FranciscoD) 2010-04-15 09:32:55 EDT
hey,

A new tar from Upstream :

http://gwrite.googlecode.com/files/python-jswebkit-0.0.2.tar.gz

should solve the Licensing issue. 

License will be MIT and LGPL etc.  and they must be included in %doc.

-> removing blocker.

Ankur
Comment 6 Ankur Sinha (FranciscoD) 2010-12-26 01:58:55 EST
Ping?
Comment 7 Ankur Sinha (FranciscoD) 2011-01-04 07:34:12 EST
Hello,

This bug has been inactive for quite a while. Can you please complete the review? I'll close it in a weeks time on Jan 11th, 2011. 

Thanks,
regards,
Ankur
Comment 8 Ankur Sinha (FranciscoD) 2011-01-11 23:04:42 EST
Hello,

Closing the bug. If someone's interested in packaging this item, please file a new review ticket.

Thanks,
regards,
Ankur

Note You need to log in before you can comment on or make changes to this bug.